Module javafx.media
Package javafx.scene.media

## Class MediaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javafx.scene.media.MediaException

- All Implemented Interfaces:
    `Serializable`

      public final class MediaException
      extends RuntimeException

  A `MediaException` describes a runtime error condition in a `Media`, `MediaPlayer` or `MediaView`.
  Since:
    JavaFX 2.0
  See Also:
    `Media.onErrorProperty()`, `MediaView.onErrorProperty()`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MediaException.Type` | Enumeration describing categories of errors.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaException.Type` | `getType()` | Retrieves the category into which this error falls.
    `String` | `toString()` | Returns a string representation of this `MediaException` object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public MediaException.Type getType()

      Retrieves the category into which this error falls.
      Returns:
        The type of this error

    - #### toString

          public String toString()

      Returns a string representation of this `MediaException` object.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this `MediaException` object.